/********************************************************************************
Copyright (C), Sinowealth Electronic. Ltd.
Author: 	Sino
Version: 	V0.0
Date: 		2020/04/26
History:
	V2.0	2020/04/26		 Preliminary
********************************************************************************/
#include "Main.h"


U8 xdata ucDsgingSpeed;

/*************************************************************************************************
* : KeySwitchSpeed
*   : 
* ֵ: 
*   : ٣Ϊ
*************************************************************************************************/
void KeySwitchSpeed(void)
{
	bSlowDischarge = 0;
    bMidDischarge = 0;
	bFastDischarge = 0;
	if(bDSGING)
	{
		if(ucDsgingSpeed == 0)
		{
			ucDsgingSpeed = 1;
			bMidDischarge = 1;
			McuPWM2Set(E2uiDSG1PWMFreq ,E2ucDSG1PWMRatioH);
			McuPWM2En();
		}
		else if(ucDsgingSpeed == 1)
		{
			ucDsgingSpeed = 2;
			bFastDischarge = 1;
			McuPWM2Set(E2uiDSG1PWMFreq, 100);
			McuPWM2En();
		}
		else
		{
			ucDsgingSpeed = 0;
			bSlowDischarge = 1;
			McuPWM2Set(E2uiDSG1PWMFreq ,E2ucDSG1PWMRatioL);
			McuPWM2En();
		}
	}
	else
	{
		bSlowDischarge = 0;
		bMidDischarge = 0;
		bFastDischarge = 0;
	}
}


/*************************************************************************************************
* : KeyProcess
*   : 
* ֵ: 
*   : ⵽Ч󣬴Ӧ
*************************************************************************************************/
void KeyProcess(void)
{
	if(bKeyFlg)
	{
		bKeyFlg = 0;                                //ͬһһֱ£ʱ㹻ȴ󴥷Ŀǰûõ״̬
		switch(ucKeyValue)
		{
			case KEY_ON_S:
				KeySwitchSpeed();
			break;

			case KEY_LED_S:
				bLedDisFlg = 1;
				ucLedTimeCnt = 0;
			break;
			
			case KEY_LED_L:                         //LEDPDģʽ
				bPDFlg = 1;
			break;

			case KEY_ON_L:                          //Ѱ2SԴ/ر		
				bLedDisBleFlg = ~bLedDisBleFlg;
				if(bLedDisBleFlg)
				{
					BlueToothPowerEn();
				}
				else
				{
					BlueToothPowerDis();
				}
			break;
			
			default:
			break;
		}
	}
}

