/********************************************************************************
Copyright (C), Sinowealth Electronic. Ltd.
Author: 	Sino
Version: 	V0.0
Date: 		2020/04/26
History:
	V2.0	2020/04/26		 Preliminary
********************************************************************************/
#include "Main.h"


BOOL bLedDisFlg;                                //LEDʾ־
BOOL bLedDisBleFlg;                             //ʱʾ
U8	xdata ucLedTimeCnt;
U8  xdata ucLedChgFlickCnt;
U8  xdata ucLedBleFlickCnt;

/*************************************************************************************************
* : LedGetDisNum
*   : Rsocʣٷֱ
* ֵ: 
*   : ʣٷֱȣ㵱ǰʾLED
*************************************************************************************************/
U8 LedGetDisNum(U16 Rsoc)
{
	if(Rsoc > 80)
	{
		return 5;
	}
	else if(Rsoc > 60)
	{
		return 4;
	}
	else if(Rsoc > 40)
	{
		return 3;
	}
	else if(Rsoc > 20)
	{
		return 2;
	}
	else if(Rsoc > 0)
	{
		return 1;
	}
	else
	{
		return 0;
	}
}


/*************************************************************************************************
* : LedAutoOff
*   : 
* ֵ: 
*   : ʾLED5S󣬹رLEDʾ
*************************************************************************************************/
void LedAutoOff(void)
{
	if(bLedDisFlg)
	{
		if(++ucLedTimeCnt >= 100)               //100*50mS
		{
			ucLedTimeCnt = 0;
			bLedDisFlg = 0;
		}
	}
}
	
/*************************************************************************************************
* : LedDisplay
*   : 
* ֵ: 
*   : ʾLED
          ʱLEDָʾ500mS˸
          ʱָʾ250mS˸
          ʾʱLED5sԶϨ
*************************************************************************************************/
void LedDisplay(void)
{
	U8 LedDisNum;
	
    if(bCHGING)                                 //ʾ״̬
    {
        if(++ucLedChgFlickCnt >= 10)            //10*50mS
        {
            ucLedChgFlickCnt = 0;
			IO_LED_CHARGE ^= 1;
        }
    }
	else
	{
		IO_LED_CHARGE = 0;
	}
	
	if(bLedDisBleFlg)                           //ʾ״̬
	{
        if(++ucLedBleFlickCnt >= 5)             //5*50mS
        {
            ucLedBleFlickCnt = 0;
//			IO_LED_BLE ^= 1;
        }
	}
	else
	{
//		IO_LED_BLE = 0;
	}
	
	if(bLedDisFlg)                              //ʾϢ
	{
		LedDisNum = LedGetDisNum(Info.uiRSOC);
		if(LedDisNum == 0)
		{
//			LEDAllOff();
		}
		if(LedDisNum == 1)
		{
//			LED1On();
		}
		else if(LedDisNum == 2)
		{
//			LED1On();
			LED2On();
		}
		else if(LedDisNum == 3)
		{
//			LED1On();
			LED2On();
			LED3On();
		}
		else if(LedDisNum == 4)
		{
//			LED1On();
			LED2On();
			LED3On();
			LED4On();
		}
		else if(LedDisNum == 5)
		{
//			LEDAllOn();
		}
	}
	else
	{
//		LEDAllOff();
	}
	
	LedAutoOff();                               //ʱ5sرLEDʾ
}





