/********************************************************************************
Copyright (C), Sinowealth Electronic. Ltd.
Author: 	Sino
Version: 	V0.0
Date: 		2020/04/26
History:
	V2.0	2020/04/26		 Preliminary
********************************************************************************/
#include "Main.h"


BOOL bCaliFlg;                                      //λУ׼λñ־
U16	xdata	ulExtVPack;
S32	xdata	slExtCur;
U16	xdata	uiExtTemp1;
U16	xdata	uiExtTemp2;
U8	xdata	ucExtRTC[7];
U8	xdata	ucExtcaliSwitch1;

/*************************************************************************************************
* : CaliVoltage
*   : 
* ֵ: 
*   : У׼ܵѹE2uiVPackGain
*************************************************************************************************/
void CaliVoltage(void)
{
	U8 i;
	U16 VPackTemp = 0;
	
	for(i=ucCellNumOffset; i<(ucCellNumOffset+ucCellNum); i++)
	{
		VPackTemp += AFE.uiCell[i];
	}
	
	E2uiVPackGain = (U32)CALIPACKVOL*VPackTemp/ulExtVPack;
}


/*************************************************************************************************
* : CaliCurrentGain
*   : 
* ֵ: 
*   : У׼E2siCadcGainβɼĵƽУ׼
*************************************************************************************************/
void CaliCurrentGain(void)
{
	S16 TempGain;

	TempGain = (S32)CALICUR*(AFE.siCurr-E2siCadcOffset)/slExtCur;		    
	if(TempGain != 0)
	{
		E2siCadcGain = TempGain;
	}
}


/*************************************************************************************************
* : CaliCurZero
*   : 
* ֵ: 
*   : У׼
*************************************************************************************************/
void CaliCurZero(void)
{
	E2siCadcOffset = AFE.siCurr;
}


/*************************************************************************************************
* : CaliTS1CaliTS2
*   : 
* ֵ: 
*   : У׼¶ȣ¶ƫС15У׼
*************************************************************************************************/
void CaliTS1(void)
{
	S16 Tempe;

	Tempe = uiExtTemp1 - CalcuTemp(AFE.uiTS[0]);
	if(((Tempe-E2siTS0Offset)<150) && ((Tempe-E2siTS0Offset)>-150))
	{
		E2siTS0Offset = Tempe;
	}
}

void CaliTS2(void)
{
	S16 Tempe;

	Tempe = uiExtTemp2 - CalcuTemp(AFE.uiTS[1]);
	if(((Tempe-E2siTS1Offset)<150) && ((Tempe-E2siTS1Offset)>-150))
	{
		E2siTS1Offset = Tempe;
	}
}



/*************************************************************************************************
* : CaliRTCTime
*   : 
* ֵ: 
*   : У׼RTC
*************************************************************************************************/
void CaliRTCTime(void)
{
	RTC.Second	= ucExtRTC[0];
	RTC.Minute	= ucExtRTC[1];
	RTC.Hour	= ucExtRTC[2];
	RTC.Date	= ucExtRTC[3];
	RTC.Month	= ucExtRTC[4];
	RTC.Year	= ucExtRTC[5];
	RTC.Week	= ucExtRTC[6];
	
	RTCModifyTime(&RTC);
	
	bE2PProcessFlg = 1;                             //У׼RTC֮ҪRTCⲿEEP
	bE2PBKRtc = 1;
}



/*************************************************************************************************
* : CaliProcess
*   : 
* ֵ: 
*   : У׼ͨѶжϻλǰҪУ׼ģӦı־
          У׼󣬽У׼дFlash
*************************************************************************************************/
void CaliProcess(void)
{
	if(bCaliFlg)
	{
		bCaliFlg = 0;
	
		if((ucExtcaliSwitch1 & 0x01) != 0)          //У׼ܵѹ
		{
			CaliVoltage();
		}
		
		if((ucExtcaliSwitch1 & 0x10) != 0)		    //У׼
		{
			CaliCurrentGain();
		}
		
		if((ucExtcaliSwitch1 & 0x20) != 0)		    //У׼
		{
			CaliCurZero();
		}
				
		if((ucExtcaliSwitch1 & 0x04) != 0)		    //У׼TS1					
		{
			CaliTS1();
		}
		
		if((ucExtcaliSwitch1 & 0x08) != 0)		    //У׼TS2
		{
			CaliTS2();
		}
		
		if((ucExtcaliSwitch1 & 0x80) != 0)		    //У׼RTC
		{
			CaliRTCTime();
		}
		
		ucExtcaliSwitch1 = 0;
		bMcuFlashWrWaitFlg = 1;						//Flash
		bMcuFlashWrWaitCnt = MCU_FLASH_WATI_DELAY;	//д
	}
}




