/********************************************************************************
Copyright (C), Sinowealth Electronic. Ltd.
Author: 	Sino
Version: 	V1.0
Date: 		2020/12/29
History:
	V0.0	2014/08/28		 Preliminary
********************************************************************************/
#include "Main.h"

/*************************************************************************************************
* : NTC103AT
*   : 
* ֵ: 
*   : bֵΪ3435NTCֵλΪ10 ohms
*************************************************************************************************/
#if RT_TABLE == NTC_103AT_3435
U16	code NTC103AT[NTC103AT_ARRAY_LEN]=		//103ATbֵΪ3435
{
	32950,          //-50
    30970,          //-49
    29124,          //-48
    27404,          //-47
    25799,          //-46
    24770,          //-45
    23335,          //-44
    21995,          //-43
    20743,          //-42
    19572,          //-41
	18850,          //-40
    17796,          //-39
    16810,          //-38
    15885,          //-37
    15019,          //-36
    14410,          //-35
    13633,          //-34
    12904,          //-33
    12219,          //-32
    11576,          //-31
	11130,          //-30
    10550,          //-29
    10005,          //-28
    9492,           //-27
    9009,           //-26
    8643,           //-25
    8208,           //-24
    7798,           //-23
    7412,           //-22
    7048,           //-21
	6777,           //-20
    6447,           //-19
    6136,           //-18
    5842,           //-17
    5564,           //-16
    5341,           //-15
    5090,           //-14
    4852,           //-13
    4627,           //-12
    4414,           //-11
	4247,           //-10
    4053,           //-09
    3870,           //-08
    3696,           //-07
    3532,           //-06
    3390,           //-05
    3241,           //-04
    3099,           //-03
    2964,           //-02
    2836,           //-01
	2728,           //00
    2611,           //01
    2501,           //02
    2395,           //03
    2295,           //04
    2205,           //05
    2114,           //06
    2027,           //07
    1944,           //08
    1866,           //09
	1796,           //10
    1724,           //11
    1655,           //12
    1590,           //13
    1527,           //14
    1469,           //15
    1412,           //16
    1357,           //17
    1305,           //18
    1256,           //19
	1209,           //20
    1163,           //21
    1120,           //22
    1078,           //23
    1038,           //24
    1000,           //25
    963,            //26
    928,            //27
    894,            //28
    862,            //29
	831,            //30
    801,            //31
    772,            //32
    745,            //33
    719,            //34
    694,            //35
    670,            //36
    646,            //37
    624,            //38
    603,            //39
	583,            //40
    562,            //41
    543,            //42
    525,            //43
    508,            //44
    491,            //45
    474,            //46
    459,            //47
    444,            //48
    430,            //49
	416,            //50
    402,            //51
    389,            //52
    377,            //53
    365,            //54
    354,            //55
    342,            //56
    331,            //57
    321,            //58
    311,            //59
	302,            //60
    292,            //61
    283,            //62
    275,            //63
    267,            //64
    259,            //65
    251,            //66
    243,            //67
    236,            //68
    229,            //69
	223,            //70
    216,            //71
    210,            //72
    204,            //73
    198,            //74
    192,            //75
    186,            //76
    181,            //77
    176,            //78
    171,            //79
	167,            //80
    162,            //81
    157,            //82
    153,            //83
    149,            //84
    145,            //85
    141,            //86
    137,            //87
    133,            //88
    130,            //89
	127,            //90
    123,            //91
    120,            //92
    117,            //93
    114,            //94
    111,            //95
    108,            //96
    105,            //97
    102,            //98
    100,            //99
	97,             //100
    95,             //101
    92,             //102
    90,             //103
    88,             //104
    86,             //105
    83,             //106
    81,             //107
    79,             //108
    78,             //109
	76              //110
};

/*************************************************************************************************
* : NTC103AT
*   : 
* ֵ: 
*   : bֵΪ3950NTCֵλΪ10 ohms
*************************************************************************************************/
#elif RT_TABLE == NTC_103AT_3950
U16	code NTC103AT[NTC103AT_ARRAY_LEN]=		//103ATbֵΪ3950
{
	65535,          //-50
    65535,          //-49
    61567,          //-48
    57293,          //-47
    53466,          //-46
    49698,          //-45
    46324,          //-44
    43202,          //-43
    40310,          //-42
    37632,          //-41
	35150,          //-40
    32847,          //-39
    30711,          //-38
    28728,          //-37
    26886,          //-36
    25174,          //-35
    23583,          //-34
    22102,          //-33
    20724,          //-32
    19441,          //-31
	18246,          //-30
    17132,          //-29
    16093,          //-28
    15124,          //-27
    14120,          //-26
    13375,          //-25
    12586,          //-24
    11846,          //-23
    11159,          //-22
    10514,          //-21
	9910,           //-20
    9345,           //-19
    8816,           //-18
    8319,           //-17
    7854,           //-16
    7418,           //-15
    7009,           //-14
    6625,           //-13
    6264,           //-12
    5926,           //-11
	5607,           //-10
    5308,           //-09
    5026,           //-08
    4761,           //-07
    4512,           //-06
    4277,           //-05
    4056,           //-04
    3848,           //-03
    3652,           //-02
    3466,           //-01
	3292,           //00
    3127,           //01
    2972,           //02
    2825,           //03
    2686,           //04
    2555,           //05
    2430,           //06
    2314,           //07
    2203,           //08
    2098,           //09
	1999,           //10
    1904,           //11
    1815,           //12
    1731,           //13
    1651,           //14
    1575,           //15
    1503,           //16
    1435,           //17
    1370,           //18
    1309,           //19
	1250,           //20
    1195,           //21
    1143,           //22
    1093,           //23
    1045,           //24
    1000,           //25
    956,            //26
    915,            //27
    876,            //28
    838,            //29
	805,            //30
    771,            //31
    739,            //32
    709,            //33
    680,            //34
    652,            //35
    625,            //36
    600,            //37
    576,            //38
    553,            //39
	531,            //40
    510,            //41
    490,            //42
    471,            //43
    453,            //44
    435,            //45
    419,            //46
    403,            //47
    387,            //48
    373,            //49
	359,            //50
    345,            //51
    333,            //52
    320,            //53
    309,            //54
    297,            //55
    287,            //56
    276,            //57
    266,            //58
    257,            //59
	248,            //60
    239,            //61
    230,            //62
    222,            //63
    215,            //64
    207,            //65
    200,            //66
    193,            //67
    186,            //68
    180,            //69
	174,            //70
    168,            //71
    162,            //72
    157,            //73
    152,            //74
    146,            //75
    142,            //76
    137,            //77
    132,            //78
    128,            //79
	124,            //80
    120,            //81
    116,            //82
    112,            //83
    109,            //84
    105,            //85
    102,            //86
    99,             //87
    96,             //88
    93,             //89
	90,             //90
    87,             //91
    84,             //92
    82,             //93
    79,             //94
    77,             //95
    74,             //96
    72,             //97
    70,             //98
    68,             //99
	66,             //100
    64,             //101
    62,             //102
    60,             //103
    59,             //104
    57,             //105
    55,             //106
    54,             //107
    53,             //108
    52,             //109
	50              //110
};
/*************************************************************************************************
* : NTC103AT
*   : 
* ֵ: 
*   : SLNTCֵλΪ10 ohms
*************************************************************************************************/
#elif RT_TABLE == NTC_SL
U16	code NTC103AT[NTC103AT_ARRAY_LEN]=
{	//¶Ϊ-20
    // -20~100湲121¶ȵ㣬0~120
    9534, 9006, 8510, 8044, 7607, 7196, 6809, 6445, 6103, 5780,  //-20~-11
    5477, 5191, 4922, 4668, 4429, 4203, 3990, 3789, 3599, 3420,  //-10~-1
    3250, 3090, 2939, 2796, 2661, 2533, 2411, 2297, 2188, 2085,  //0~9
    1987, 1895, 1807, 1724, 1645, 1570, 1499, 1432, 1368, 1307,  //10~19
    1249, 1194, 1142, 1092, 1045, 1000, 957 , 916 , 878 , 841 ,  //20~29
    805 , 772 , 740 , 709 , 680 , 653 , 626 , 601 , 577 , 554 ,  //30~39
    532 , 511 , 491 , 471 , 453 , 436 , 419 , 403 , 387 , 373 ,  //40~49
    359 , 345 , 332 , 320 , 308 , 297 , 286 , 276 , 266 , 256 ,  //50~59
    247 , 238 , 230 , 222 , 214 , 206 , 199 , 192 , 186 , 179 ,  //60~69
    173 , 167 , 162 , 156 , 151 , 146 , 141 , 137 , 132 , 128 ,  //70~79
    124 , 120 , 116 , 112 , 109 , 105 , 102 , 99  , 96  , 93  ,  //80~89
    90  , 87  , 85  , 82  ,  79 , 77  , 75  , 73  , 70  , 68  , 66       //90~100
};
#else
	#error  "underfined RT_TABLE!"
#endif



